## ide-configuration ide-configuration |

## Functions

IdeConfiguration * | ide_configuration_new ()
const gchar * | ide_configuration_get_id ()
const gchar * | ide_configuration_get_runtime_id ()
void | ide_configuration_set_runtime_id ()
const gchar * | ide_configuration_get_device_id ()
void | ide_configuration_set_device_id ()
IdeDevice * | ide_configuration_get_device ()
void | ide_configuration_set_device ()
gboolean | ide_configuration_get_dirty ()
void | ide_configuration_set_dirty ()
const gchar * | ide_configuration_get_display_name ()
void | ide_configuration_set_display_name ()
IdeRuntime * | ide_configuration_get_runtime ()
void | ide_configuration_set_runtime ()
gchar ** | ide_configuration_get_environ ()
const gchar * | ide_configuration_getenv ()
void | ide_configuration_setenv ()
gboolean | ide_configuration_get_debug ()
void | ide_configuration_set_debug ()
const gchar * | ide_configuration_get_prefix ()
void | ide_configuration_set_prefix ()
const gchar * | ide_configuration_get_config_opts ()
void | ide_configuration_set_config_opts ()
gint | ide_configuration_get_parallelism ()
void | ide_configuration_set_parallelism ()
IdeEnvironment * | ide_configuration_get_environment ()
IdeConfiguration * | ide_configuration_duplicate ()

## Types and Values

#define | IDE_TYPE_CONFIGURATION
| IdeConfiguration

## Description

## Functions

### ide_configuration_new ()

    IdeConfiguration *
    ide_configuration_new (IdeContext *context,
                           const gchar *id,
                           const gchar *device_id,
                           const gchar *runtime_id);

### ide_configuration_get_id ()

    const gchar *
    ide_configuration_get_id (IdeConfiguration *self);

### ide_configuration_get_runtime_id ()

    const gchar *
    ide_configuration_get_runtime_id (IdeConfiguration *self);

### ide_configuration_set_runtime_id ()

    void
    ide_configuration_set_runtime_id (IdeConfiguration *self,
                                      const gchar *runtime_id);

### ide_configuration_get_device_id ()

    const gchar *
    ide_configuration_get_device_id (IdeConfiguration *self);

### ide_configuration_set_device_id ()

    void
    ide_configuration_set_device_id (IdeConfiguration *self,
                                     const gchar *device_id);

### ide_configuration_get_device ()

    IdeDevice *
    ide_configuration_get_device (IdeConfiguration *self);

Gets the device for the configuration.

#### Parameters

self | An IdeConfiguration |

#### Returns

An IdeDevice.

[transfer none][nullable]

### ide_configuration_set_device ()

    void
    ide_configuration_set_device (IdeConfiguration *self,
                                  IdeDevice *device);

### ide_configuration_get_dirty ()

    gboolean
    ide_configuration_get_dirty (IdeConfiguration *self);

### ide_configuration_set_dirty ()

    void
    ide_configuration_set_dirty (IdeConfiguration *self,
                                 gboolean dirty);

### ide_configuration_get_display_name ()

    const gchar *
    ide_configuration_get_display_name (IdeConfiguration *self);

### ide_configuration_set_display_name ()

    void
    ide_configuration_set_display_name (IdeConfiguration *self,
                                        const gchar *display_name);

### ide_configuration_get_runtime ()

    IdeRuntime *
    ide_configuration_get_runtime (IdeConfiguration *self);

Gets the runtime for the configuration.

#### Parameters

self | An IdeConfiguration |

#### Returns

An IdeRuntime.

[transfer none][nullable]

### ide_configuration_set_runtime ()

    void
    ide_configuration_set_runtime (IdeConfiguration *self,
                                   IdeRuntime *runtime);

### ide_configuration_get_environ ()

    gchar **
    ide_configuration_get_environ (IdeConfiguration *self);

Gets the environment to use when spawning processes.

#### Parameters

self | An IdeConfiguration |

#### Returns

An array of key=value environment variables.

[transfer full]

### ide_configuration_getenv ()

    const gchar *
    ide_configuration_getenv (IdeConfiguration *self,
                              const gchar *key);

### ide_configuration_setenv ()

    void
    ide_configuration_setenv (IdeConfiguration *self,
                              const gchar *key,
                              const gchar *value);

### ide_configuration_get_debug ()

    gboolean
    ide_configuration_get_debug (IdeConfiguration *self);

### ide_configuration_set_debug ()

    void
    ide_configuration_set_debug (IdeConfiguration *self,
                                 gboolean debug);

### ide_configuration_get_prefix ()

    const gchar *
    ide_configuration_get_prefix (IdeConfiguration *self);

### ide_configuration_set_prefix ()

    void
    ide_configuration_set_prefix (IdeConfiguration *self,
                                  const gchar *prefix);

### ide_configuration_get_config_opts ()

    const gchar *
    ide_configuration_get_config_opts (IdeConfiguration *self);

### ide_configuration_set_config_opts ()

    void
    ide_configuration_set_config_opts (IdeConfiguration *self,
                                       const gchar *config_opts);

### ide_configuration_get_parallelism ()

    gint
    ide_configuration_get_parallelism (IdeConfiguration *self);

### ide_configuration_set_parallelism ()

    void
    ide_configuration_set_parallelism (IdeConfiguration *self,
                                       gint parallelism);

### ide_configuration_get_environment ()

    IdeEnvironment *
    ide_configuration_get_environment (IdeConfiguration *self);

#### Returns

An IdeEnvironment.

[transfer none]

### ide_configuration_duplicate ()

    IdeConfiguration *
    ide_configuration_duplicate (IdeConfiguration *self);

Copies the configuration into a new configuration.

#### Parameters

self | An IdeConfiguration |

#### Returns

An IdeConfiguration.

[transfer full]

## Types and Values

### IDE_TYPE_CONFIGURATION

    #define IDE_TYPE_CONFIGURATION (ide_configuration_get_type())

### IdeConfiguration

    typedef struct _IdeConfiguration IdeConfiguration;